# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1003.39.1 -> 1.1003.43.1
#	include/linux/sysctl.h	1.27    -> 1.28   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/07/14	bjorn.helgaas@hp.com	1.1003.38.2
# ia64: sys_ia32.c needs linux/quotacompat.h
# --------------------------------------------
# 03/07/14	marcelo@freak.distro.conectiva	1.1003.34.39
# Cset exclude: alan@lxorguk.ukuu.org.uk|ChangeSet|20030714133559|12582
# --------------------------------------------
# 03/07/14	stern@rowland.harvard.edu	1.1003.40.1
# [PATCH] USB: usb-storage US_FL_FIX_CAPACITY fix
# 
# Pat LaVarre uncovered a bug where you could throw a well-formed (but
# arguably meaningless) INQUIRY command at a device via the sg interface
# and OOPS the usb-storage driver.  This prevents that from happening.
# 
# This has been in 2.5 for a while now.  A 2.4 backport is probably a good
# thing.
# --------------------------------------------
# 03/07/14	marcelo@freak.distro.conectiva	1.1003.34.40
# Merge bk://kernel.bkbits.net/gregkh/linux/marcelo-2.4
# into freak.distro.conectiva:/home/marcelo/bk/linux-2.4
# --------------------------------------------
# 03/07/14	bjorn.helgaas@hp.com	1.1003.39.2
# Merge hp.com:/home/helgaas/linux/ia64-extras
# into hp.com:/home/helgaas/linux/linux-ia64-2.4
# --------------------------------------------
# 03/07/14	bjorn.helgaas@hp.com	1.1003.38.3
# ia64: PAL_HALT_LIGHT config merge (+ auto merges).
# --------------------------------------------
# 03/07/14	marcelo@freak.distro.conectiva	1.1003.34.41
# add radeonfb.h
# --------------------------------------------
# 03/07/14	jack@ucw.cz	1.1003.34.42
# [PATCH] Fix misc quota bugs
# 
#   Hi Marcelo,
# 
#   I went through -pre5 vs my latest patches diff and I found one bug
# which isn't fixed in 2.4.22-pre5 (in 2.5 it's not needed because of a
# bit different locking). It's possible deadlock on chgrp(1). The patch is
# attached.
#   I also got one report about possible appearance of bogus values in old
# format quota file when new user is being added so the fix of this
# problem is also attached.
# --------------------------------------------
# 03/07/15	paulus@samba.org	1.1003.1.78
# PPC32: Fix IRQ sense and polarity setting on 405 and 440 cpus.
# --------------------------------------------
# 03/07/15	paulus@samba.org	1.1003.1.79
# Merge samba.org:/home/paulus/kernel/linux-2.4
# into samba.org:/home/paulus/kernel/for-marcelo-ppc
# --------------------------------------------
# 03/07/15	marcelo@freak.distro.conectiva	1.1003.34.43
# Merge bk://kernel.bkbits.net/davem/net-2.4
# into freak.distro.conectiva:/home/marcelo/bk/linux-2.4
# --------------------------------------------
# 03/07/15	mikpe@csd.uu.se	1.1003.34.44
# [PATCH] clean crc temp files in lib/
# 
# A 2.4.22-pre kernel build leaves two temp files in lib/,
# crc32table.h and gen_crc32table, that mrproper doesn't remove.
# This is ugly. Fixed in the patch below.
# 
# /Mikael
# --------------------------------------------
# 03/07/15	green@angband.namesys.com	1.1003.41.1
# Fix link/unlink race. By Chris Mason
#    concurrent link/unlinks can create savelinks for files that still
#    exist, the fix here is to be somewhat smarter about when we
#    change the link count
# --------------------------------------------
# 03/07/15	arun.sharma@intel.com	1.1003.42.1
# ia64: translate F_GETLK64/F_SETLK64 to F_GETLK/F_SETLK
# 
# Currently, sys32_fcntl64() is broken, because it passes F_*64 commands
# to sys_fcntl(), which it doesn't understand. The F_XXX64 commands need
# to be converted to F_XXX before calling sys_fcntl().
# --------------------------------------------
# 03/07/15	kaos@sgi.com	1.1003.43.1
# HUGETLB: change SYSCTL number to match 2.5.
# --------------------------------------------
#
diff -Nru a/include/linux/sysctl.h b/include/linux/sysctl.h
--- a/include/linux/sysctl.h	Wed Oct  8 09:09:27 2003
+++ b/include/linux/sysctl.h	Wed Oct  8 09:09:27 2003
@@ -146,7 +146,7 @@
 	VM_MAX_MAP_COUNT=11,	/* int: Maximum number of active map areas */
 	VM_MIN_READAHEAD=12,    /* Min file readahead */
 	VM_MAX_READAHEAD=13,    /* Max file readahead */
-	VM_HUGETLB_PAGES=14	/* Number of available huge pages */
+	VM_HUGETLB_PAGES=18,	/* int: Number of available Huge Pages */
 };
 
 
